declare const base: {
    plugins: string[];
    rules: {
        'a11y/content-property-no-static-value': boolean;
        'a11y/font-size-is-readable': boolean;
        'a11y/no-display-none': boolean;
        'a11y/no-obsolete-attribute': boolean;
        'a11y/no-obsolete-element': boolean;
        'a11y/no-outline-none': boolean;
        'a11y/no-spread-text': boolean;
        'a11y/no-text-align-justify': boolean;
        'a11y/line-height-is-vertical-rhythmed': null;
        'a11y/media-prefers-color-scheme': null;
        'a11y/media-prefers-reduced-motion': null;
        'codeguide/block-closing-brace-space-after': null;
        'codeguide/block-closing-brace-space-before': null;
        'codeguide/block-opening-brace-space-after': null;
        'codeguide/block-opening-brace-space-before': null;
        'codeguide/at-rule-name-case': string;
        'codeguide/at-rule-name-newline-after': string;
        'codeguide/at-rule-name-space-after': string;
        'codeguide/at-rule-semicolon-newline-after': string;
        'codeguide/at-rule-semicolon-space-before': string;
        'codeguide/block-closing-brace-empty-line-before': string;
        'codeguide/block-closing-brace-newline-after': string;
        'codeguide/block-closing-brace-newline-before': string;
        'codeguide/block-opening-brace-newline-after': string;
        'codeguide/block-opening-brace-newline-before': string;
        'codeguide/color-hex-case': string;
        'codeguide/declaration-bang-space-after': string;
        'codeguide/declaration-bang-space-before': string;
        'codeguide/declaration-block-semicolon-newline-after': string;
        'codeguide/declaration-block-semicolon-newline-before': string;
        'codeguide/declaration-block-semicolon-space-after': string;
        'codeguide/declaration-block-semicolon-space-before': string;
        'codeguide/declaration-block-trailing-semicolon': string;
        'codeguide/declaration-colon-newline-after': string;
        'codeguide/declaration-colon-space-after': string;
        'codeguide/declaration-colon-space-before': string;
        'codeguide/function-comma-newline-after': string;
        'codeguide/function-comma-newline-before': string;
        'codeguide/function-comma-space-after': string;
        'codeguide/function-comma-space-before': string;
        'codeguide/function-max-empty-lines': number;
        'codeguide/function-parentheses-newline-inside': string;
        'codeguide/function-parentheses-space-inside': string;
        'codeguide/function-whitespace-after': string;
        'codeguide/indentation': number;
        'codeguide/linebreaks': string;
        'codeguide/max-empty-lines': number;
        'codeguide/max-line-length': number;
        'codeguide/media-feature-colon-space-after': string;
        'codeguide/media-feature-colon-space-before': string;
        'codeguide/media-feature-name-case': string;
        'codeguide/media-feature-parentheses-space-inside': string;
        'codeguide/media-feature-range-operator-space-after': string;
        'codeguide/media-feature-range-operator-space-before': string;
        'codeguide/no-empty-first-line': boolean;
        'codeguide/no-eol-whitespace': boolean;
        'codeguide/no-extra-semicolons': boolean;
        'codeguide/no-missing-end-of-source-newline': boolean;
        'codeguide/number-leading-zero': string;
        'codeguide/number-no-trailing-zeros': boolean;
        'codeguide/property-case': string;
        'codeguide/selector-attribute-brackets-space-inside': string;
        'codeguide/selector-attribute-operator-space-after': string;
        'codeguide/selector-attribute-operator-space-before': string;
        'codeguide/selector-combinator-space-after': string;
        'codeguide/selector-combinator-space-before': string;
        'codeguide/selector-descendant-combinator-no-non-space': boolean;
        'codeguide/selector-list-comma-newline-after': string;
        'codeguide/selector-list-comma-newline-before': string;
        'codeguide/selector-list-comma-space-after': string;
        'codeguide/selector-list-comma-space-before': string;
        'codeguide/selector-max-empty-lines': number;
        'codeguide/selector-pseudo-class-case': string;
        'codeguide/selector-pseudo-class-parentheses-space-inside': string;
        'codeguide/selector-pseudo-element-case': string;
        'codeguide/string-quotes': string;
        'codeguide/unicode-bom': string;
        'codeguide/unit-case': string;
        'codeguide/value-list-comma-newline-after': string;
        'codeguide/value-list-comma-newline-before': string;
        'codeguide/value-list-comma-space-after': string;
        'codeguide/value-list-comma-space-before': string;
        'codeguide/value-list-max-empty-lines': number;
        'order/order': ((string | {
            name: string;
            type: string;
            hasBlock?: undefined;
            selector?: undefined;
        } | {
            hasBlock: boolean;
            selector: RegExp;
            type: string;
            name?: undefined;
        } | {
            hasBlock: boolean;
            name: string;
            type: string;
            selector?: undefined;
        })[] | {
            severity: string;
        })[];
        'order/properties-order': ({
            emptyLineBefore: string;
            noEmptyLineBetween: boolean;
            properties: string[];
        }[] | {
            emptyLineBeforeUnspecified: string;
            emptyLineMinimumPropertyThreshold: number;
            severity: string;
            unspecified: string;
        })[];
        'alpha-value-notation': string;
        'annotation-no-unknown': boolean;
        'at-rule-disallowed-list': string[];
        'at-rule-empty-line-before': string;
        'at-rule-no-unknown': boolean;
        'at-rule-no-vendor-prefix': boolean;
        'block-no-empty': boolean;
        'color-function-notation': string;
        'color-hex-alpha': string;
        'color-hex-length': string;
        'color-named': string;
        'color-no-invalid-hex': boolean;
        'comment-empty-line-before': string;
        'comment-no-empty': boolean;
        'comment-whitespace-inside': string;
        'custom-property-empty-line-before': string;
        'custom-property-no-missing-var-function': boolean;
        'declaration-block-no-duplicate-custom-properties': boolean;
        'declaration-block-no-duplicate-properties': boolean;
        'declaration-block-no-redundant-longhand-properties': boolean;
        'declaration-block-no-shorthand-property-overrides': boolean;
        'declaration-block-single-line-max-declarations': number;
        'declaration-empty-line-before': (string | {
            except: string[];
            ignore: string[];
        })[];
        'declaration-no-important': boolean;
        'font-family-name-quotes': string;
        'font-family-no-duplicate-names': boolean;
        'font-weight-notation': (string | {
            ignore: string[];
        })[];
        'function-calc-no-unspaced-operator': boolean;
        'function-linear-gradient-no-nonstandard-direction': boolean;
        'function-name-case': string;
        'function-no-unknown': boolean;
        'function-url-no-scheme-relative': boolean;
        'function-url-quotes': string;
        'hue-degree-notation': string;
        'import-notation': string;
        'keyframe-block-no-duplicate-selectors': boolean;
        'keyframe-declaration-no-important': boolean;
        'keyframe-selector-notation': string;
        'length-zero-no-unit': boolean;
        'max-nesting-depth': (number | {
            ignoreAtRules: string[];
        })[];
        'media-feature-name-no-unknown': boolean;
        'media-feature-name-no-vendor-prefix': boolean;
        'media-feature-name-value-no-unknown': boolean;
        'media-feature-range-notation': string;
        'media-query-no-invalid': boolean;
        'named-grid-areas-no-invalid': boolean;
        'no-descending-specificity': boolean;
        'no-duplicate-at-import-rules': boolean;
        'no-duplicate-selectors': boolean;
        'no-empty-source': boolean;
        'no-invalid-double-slash-comments': boolean;
        'no-invalid-position-at-import-rule': boolean;
        'no-irregular-whitespace': boolean;
        'no-unknown-animations': boolean;
        'no-unknown-custom-properties': boolean;
        'number-max-precision': number;
        'property-no-unknown': boolean;
        'property-no-vendor-prefix': boolean;
        'rule-empty-line-before': (string | {
            except: string[];
            ignore: string[];
        })[];
        'selector-anb-no-unmatchable': boolean;
        'selector-attribute-quotes': string;
        'selector-class-pattern': (string | {
            message: string;
        })[];
        'selector-max-compound-selectors': number;
        'selector-max-id': number;
        'selector-no-qualifying-type': (boolean | {
            ignore: string[];
        })[];
        'selector-no-vendor-prefix': boolean;
        'selector-not-notation': string;
        'selector-pseudo-class-no-unknown': boolean;
        'selector-pseudo-element-colon-notation': string;
        'selector-pseudo-element-no-unknown': boolean;
        'selector-type-case': string;
        'selector-type-no-unknown': boolean;
        'shorthand-property-no-redundant-values': boolean;
        'string-no-newline': boolean;
        'unit-no-unknown': boolean;
        'value-keyword-case': string;
        'value-no-vendor-prefix': boolean;
        'at-rule-allowed-list': null;
        'at-rule-property-required-list': null;
        'color-no-hex': null;
        'comment-pattern': null;
        'comment-word-disallowed-list': null;
        'custom-media-pattern': null;
        'custom-property-pattern': null;
        'declaration-property-max-values': null;
        'declaration-property-unit-allowed-list': null;
        'declaration-property-unit-disallowed-list': null;
        'declaration-property-value-allowed-list': null;
        'declaration-property-value-disallowed-list': null;
        'declaration-property-value-no-unknown': null;
        'font-family-no-missing-generic-family-keyword': null;
        'function-allowed-list': null;
        'function-disallowed-list': null;
        'function-url-scheme-allowed-list': null;
        'function-url-scheme-disallowed-list': null;
        'keyframes-name-pattern': null;
        'media-feature-name-allowed-list': null;
        'media-feature-name-disallowed-list': null;
        'media-feature-name-unit-allowed-list': null;
        'media-feature-name-value-allowed-list': null;
        'property-allowed-list': null;
        'property-disallowed-list': null;
        'rule-selector-property-disallowed-list': null;
        'selector-attribute-name-disallowed-list': null;
        'selector-attribute-operator-allowed-list': null;
        'selector-attribute-operator-disallowed-list': null;
        'selector-combinator-allowed-list': null;
        'selector-combinator-disallowed-list': null;
        'selector-disallowed-list': null;
        'selector-id-pattern': null;
        'selector-max-attribute': null;
        'selector-max-class': null;
        'selector-max-combinators': null;
        'selector-max-pseudo-class': null;
        'selector-max-specificity': null;
        'selector-max-type': null;
        'selector-max-universal': null;
        'selector-nested-pattern': null;
        'selector-pseudo-class-allowed-list': null;
        'selector-pseudo-class-disallowed-list': null;
        'selector-pseudo-element-allowed-list': null;
        'selector-pseudo-element-disallowed-list': null;
        'time-min-milliseconds': null;
        'unit-allowed-list': null;
        'unit-disallowed-list': null;
    };
};
export = base;
