"use strict";
const a11y_1 = require("./module/a11y/a11y");
const code_guide_1 = require("./module/code_guide/code_guide");
const order_1 = require("./module/order/order");
const disabled_rule_1 = require("./module/stylelint/rule/disabled_rule");
const general_rule_1 = require("./module/stylelint/rule/general_rule");
const base = {
    plugins: [...order_1.order.plugins, ...a11y_1.a11y.plugins, ...code_guide_1.codeGuide.plugins],
    rules: {
        ...disabled_rule_1.disabledRule,
        ...general_rule_1.generalRule,
        ...order_1.order.rules,
        ...code_guide_1.codeGuide.rules,
        ...a11y_1.a11y.rules
    }
};
module.exports = base;
//# sourceMappingURL=index.js.map